
%bcond_without tests

Name:           alex
Version:        3.3.0.0
Release:    1%{?dist}
Summary:        Tool for generating lexical analysers in Haskell

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
%if %{with tests}
BuildRequires:  ghc-process-devel
%endif
BuildRequires:  autoconf
BuildRequires:  docbook-style-xsl
BuildRequires:  make
BuildRequires:  libxslt

%description
Alex is a tool for generating lexical analysers in Haskell. It takes a
description of tokens based on regular expressions and generates a Haskell
module containing code for scanning text efficiently. It is similar to the tool
lex or flex for C/C++.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install


%check
%if %{with tests}
%cabal_test
%endif


%files
%license LICENSE
%doc CHANGELOG.md README.md examples
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.0.0-1
- initial build
